Contenu | Rechercher | Menus

Annonce

L'équipe des administrateurs et modérateurs du forum vous invite à prendre connaissance des nouvelles règles.
En cas de besoin, vous pouvez intervenir dans cette discussion.

Ubuntu 18.04 LTS
Ubuntu-fr propose des clés USB de Ubuntu et toutes ses « saveurs » ainsi qu'un magnifique t-shirt pour cette toute nouvelle version d'Ubuntu !

Si vous avez des soucis pour rester connecté, déconnectez-vous puis reconnectez-vous depuis ce lien en cochant la case
Me connecter automatiquement lors de mes prochaines visites.

À propos de l'équipe du forum.

#1 Le 12/06/2018, à 01:24

Ubuntu1988

Dépendances intel-microcode ET amd-microcode lors de la MAJ Kernel

Bonjour,

C'est à la fois un étonnement, une question voire une mise en garde : sur Bionic, il y a une mise à jour du noyau qui propose d'installer des nouvelles dépendances, et pas des moindres, vu que ce sont les paquets intel-microcode ET amd-microcode ensemble et ce, quelque soit le processeur de la machine et j'avoue que j'hésite à faire la mise à jour pour le coup, surtout qu'il n'y a pas vraiment de retour sur les différents sites.

A tout hasard, des gens auraient-ils fait cette mise à jour ? SI oui, aucune instabilité à déplorer ? Pour ce qui est des failles Spectre et compagnie, j'ai déjà un bios à jour donc je n'ai pas envie d'éventuellement flinguer le système avec un surplus logiciel qui pourrait rendre la machine instable.

Edit : Un retour terminal au cas-où

sudo apt -s upgrade
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Calcul de la mise à jour... Fait
Les NOUVEAUX paquets suivants seront installés :
  amd64-microcode intel-microcode iucode-tool linux-headers-4.15.0-23 linux-headers-4.15.0-23-generic linux-image-4.15.0-23-generic linux-modules-4.15.0-23-generic linux-modules-extra-4.15.0-23-generic

Et ce retour, j'y ai droit à la fois sur une machine intel et une machine sous AMD, qui n'ont aucun microcode d'installé mais un bios à jour

Dernière modification par Ubuntu1988 (Le 12/06/2018, à 01:51)


J'ai perdu ! :(

Hors ligne

#2 Le 12/06/2018, à 07:37

xubu1957

Re : Dépendances intel-microcode ET amd-microcode lors de la MAJ Kernel

Bonjour,

Tu as cette question > answers.launchpad.net/ubuntu/+question/670024.


Important : Pensez à passer vos sujets en [Résolu] lorsque ceux-ci le sont, au début du titre en cliquant sur Modifier sous le premier message, et un bref récapitulatif de la solution à la fin de celui-ci. Merci.

Xubuntu 16.04.1 LTS : Lenovo T410 - Toshiba Satellite A300  Membre de Linux-Azur

Hors ligne

#3 Le 12/06/2018, à 15:50

Ubuntu1988

Re : Dépendances intel-microcode ET amd-microcode lors de la MAJ Kernel

Bon, après un backup du système, j'ai lancé la mise à jour, et rien à signaler après avoir redémarrer mais installer par défaut des microcode dont la grosse base n'est pas ouverte et qui ont été critiqué (les patchs signés Intel n'ont pas été accueilli avec enthousiasme vu la bidouille que c'est, pas toujours propre), je ne trouve pas ça très honnête de la part de Canonical, surtout que là, c'est tout ou rien : soit tu mets à jour le kernel avec les microcode, soit tu gardes un kernel non à jour, avec les risques possibles.

Il y a toujours la solution de compiler soit-même un noyau débarrassé de ces dépendances mais ça n'est pas des plus pratiques


J'ai perdu ! :(

Hors ligne

#4 Le 12/06/2018, à 16:40

uboops

Re : Dépendances intel-microcode ET amd-microcode lors de la MAJ Kernel

... Et il y a eu un changement de version microcode, et du bugs (avec et sans le package)?

$ grep -e 'model name' -e 'cpu family' -e 'cpu cores' -e model -e microcode -e bugs /proc/cpuinfo | sort -dr | uniqmodel name	: Intel(R) Atom(TM) CPU N280   @ 1.66GHz
model		: 28
microcode	: 0x218
cpu family	: 6
cpu cores	: 1
bugs		:

Ubuntu 16.04-LTS, MX17-LTS, Win7-LTS - avec rEFInd + Grub ... et ncdu, Timeshift ... pour le LTS aussi ;-)

Hors ligne

#5 Le 01/09/2018, à 23:58

Ubuntu1988

Re : Dépendances intel-microcode ET amd-microcode lors de la MAJ Kernel

Une petite mise à jour du post pour signaler qu'il y a deux rapports de bugs (ici et ) pour rendre optionnels les microcodes, car depuis peu, c'est imposé par défaut, ce qui soulève certains soucis donc pour ceux qui voudraient que de telles dépendances ne soit plus obligatoires, n'hésitez pas à vous faire connaître

Dernière modification par Ubuntu1988 (Le 02/09/2018, à 00:00)


J'ai perdu ! :(

Hors ligne